#pragma once
#include "base_head.h"
#include "StrArray.h"
class C_error;
class UTILES_EXPORT Cascii_file
{
	//variables------------------------------------------------
private:
	StrArray lineas;
	C_error *er;
	BOOL b_er;
public:
	Cascii_file(C_error* err=NULL);
	~Cascii_file(void);

	//funciones------------------------------------------------

	BOOL lee(char* path);//lee un archivo
	BOOL guarda(char* path,BOOL ret_carro=TRUE);//guarda un archivo
	int get();//dice el numero de lineas
	char* get(int i);//da la linea i-esima
	void borra();//borra todo
	void add(char* l);//aņade linea
	
private:
	char* busca_salto_linea(char*st);
};
